
# 指定头文件搜索目录
set(MBEDTLS_INTERNAL_INCLUDE_PATH
   ${CMAKE_CURRENT_SOURCE_DIR}
   ${CMAKE_CURRENT_SOURCE_DIR}/wrapper
   ${CMAKE_CURRENT_SOURCE_DIR}/configs
   ${CMAKE_CURRENT_SOURCE_DIR}/include
   ${CMAKE_CURRENT_SOURCE_DIR}/include/mbedtls
)
#指定源文件搜索路径
set(MBEDTLS_INTERNAL_SOURCE_PATH
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${CMAKE_CURRENT_SOURCE_DIR}/wrapper
    ${CMAKE_CURRENT_SOURCE_DIR}/library
)
include_directories(${MBEDTLS_INTERNAL_INCLUDE_PATH})



include_directories(${LIB_COMMON_INCLUDE_PATH})
include_directories(${LIB_PLATFORM_INCLUDE_PATH})

foreach(FOREACH_SRC_DIR ${MBEDTLS_INTERNAL_SOURCE_PATH})
    aux_source_directory(${FOREACH_SRC_DIR} SRC)
endforeach()



add_library(${MQTT_MBEDTLS} STATIC ${SRC})